#vertexshader

void main()
{
	gl_Position = ftransform();
	gl_TexCoord[0] = gl_MultiTexCoord0;
}

#fragmentshader

uniform sampler2D Texture0;

void main()
{
	vec4 c = texture2D(Texture0, gl_TexCoord[0].xy);
	float v = max(max(max(c.r, c.g), c.b)-1.0, 0.0);
	gl_FragColor = vec4(c.rgb*v, 1.0);
}
